#pragma once

#include "json.hpp"
#include "Color.hpp"
#include "Vector2.hpp"
#include "Vector3.hpp"
#include "Vector4.hpp"

namespace TSE
{
    nlohmann::json ExportColor(Color& color);
    nlohmann::json ExportVector2(Vector2& vec2);
    nlohmann::json ExportVector3(Vector3& vec3);
    nlohmann::json ExportVector4(Vector4& vec4);

    Color ImportColor(nlohmann::json json);
    Vector2 ImportVector2(nlohmann::json json);
    Vector3 ImportVector3(nlohmann::json json);
    Vector4 ImportVector4(nlohmann::json json);
} // namespace TSE